Create

Creates a one-time discount and attaches it to a specific item, order, or shipping rate for an individual customer.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Response Body Definitions

NameTypeDescriptionExample
public_idstringOne-Time Incentive ID8637c3fe9b7011eaa2c1bc764e107990
external_codestringExternal Codeawesome_discount
descriptionstringDescriptionOne-Time Incentive
merchantstringMerchant IDac4f7938383a11e89ecbbc764e1107f2
customerstringCustomer ID00026001
orderstringOrder IDc4e05d04ccc411e8ada3bc764e101db1
createdstringDatetime of creation2020-05-21 09:36:57
last_updatedstringDatetime of last update2020-05-21 09:36:57
incentiveobjectIncentive object

Body Parameters

Targeting

Use either the order or item body parameter and different incentive.target values based on the scope of the discount you want to provide.

Item-Level Discount for an Individual Item

Use "item": <Item Public ID> body parameter to provide the item public ID
Use "target": “item” within the incentive parameter

Item-Level Discount for All Items in the Order

Use "order": <Order Public ID> body parameter to provide the order public ID
Use “target”: “item” within the incentive parameter

Order-level discount

Use "order": <Order Public ID>” body parameter to provide the order public ID
Use “target”: “order” within the incentive parameter

Shipping-Level Discount

Use "order": <Order Public ID>” body parameter to provide the order public ID
Use “target”: “shipping_total” within the incentive parameter

Notes for gift type incentives: The support for gift incentives in one-time incentives are only limited to item-level scope so, be sure to use "item": <Item Public ID> in the body parameter and "target": “item”inside the incentive parameter


Discount Limits

A "discount limit" can be specified using the limit_value and limit_policy parameters.

Limit Policy

The fixed policy indicates that the limit_value parameter value should be interpreted as a hard-coded dollar value limit for the discount. This limit will apply to the specified incentive.target. For example, if incentive.target=item, then the limit will apply to each individual item - meaning the total discount applied could be greater than the limit value, but the individual discount for each item will not be greater than the limit.

Limit Value

The limit_value must be an integer, the exact meaning of the provided input will be determined based on the specified limit_policy.


For an explanation of the business logic, visit Advanced One-Time Discounts in Knowledge Center.

Body Params
string
required

Merchant ID

string
required

Customer ID

string

Description

date

Date by which Order Must Place to Apply discount

string

Send Item ID to apply a One Time Incentive to a specific item. This field and order are mutually exclusive, but one is required.

string

Send Order ID to apply a One Time Incentive to a specific order. This field and item are mutually exclusive, but one is required.

string
Defaults to base

Choose 'base' or 'additional' for a standard discount or an additive one (defaults to 'base')

string

External Code

incentive
object

Incentive Object

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json